BIBVIEW(1)

NAME
bibview - an X based graphical user interface for manipulating BibTeX databases

SYNOPSIS
bibview [standard options] [-file <bib file>] [-rcfile <conf file>] [-bibdir <directory>]

DESCRIPTION

Bibview facilitates the manipulation of BibTeX databases (in the following called BiB). It supports the user in making new entries, searching for entries and moving entries from one BiB to another. It is possible to work with more than one BiB simultaneously. New types can be defined and new fields can be added to existing types in a configuration file.
There are six types of windows in bibview:
The main window contains menus for customizing bibview and for working with BiBs on the file level.
The bibliography window (one for every open BiB) contains commands for manipulating the BiB.
The list window (at most one for every open BiB) shows a list of entries. It displays the fields author, title, year, category and type. The fields that are displayed and the layout of the fields can be changed in the configuration file. The entries of the list window can be sorted by all field by default. The fields by which a list can be sorted can be set in the configuration file.
The card window (at most one for every entry) helps editing an entry. It contains boxes for each field of the entry (according to the type). The fields can be edited by putting the mouse cursor into the card window. The field with the input focus has no border. The input focus can be changed using the <tab> key (move to next field), the <esc> key (move to preceding field) or by clicking the right mouse button in the new input field. You can change this behaviour in the resource file or in the file .bibviewrc. In this case input will go to the field in which the mouse is placed.
The annote field of an entry can be edited in a separate window after clicking 'annote' in the card window. The required fields are marked by bold lines. A card window is displayed after clicking an entry in the list menu (left mouse button), selecting a type in the `New` menu of a bibliography window or duplicating an entry with the `Duplicate' menu of the card window.
The macro window (at most one for every open BiB) helps editing the STRING and PREAMBLE parts of a BiB.
The error window (at most one for every BiB) is displayed if a BiB cannot be opened because of syntax errors. The line with the error is marked. The file can be edited and opened again.

Main Window
The main window is displayed at the start of bibview. It offers the following menus.
File: Load and save BiBs. For choosing a name a file select box is displayed. The file select box initially shows the content of the current working directory or of the default directory defined in the configuration file. A file is chosen by clicking a filename and the OK button of the box or by entering a filename.

    New Create a new BiB.

    Open
        Read an existing BiB.

    Close
        Close an open BiB.

    Save
        Save an open BiB.

    Save as
        Save an open BiB and select a new name for it.

    Quit
        Quit a bibview session.
Services:

    Consistency Check
        Entries that don't contain all required fields for that type are shown in the list window. If an entry contains a crossreference, it is regarded as complete. (The crossreference is not checked)

    Unify
        Insert all entries of one BiB in another. If there are key conflicts, a new key is generated by appending a letter to the inserted key so the the new key is unique.

    Print
        A LaTeX file with the entries of a BiB is created.

    Edit Macros
        Open macro window for editing the macros of a BiB.

    Load Configuration
        Load a configuration file.
Options: Change default options

    Beep on Errors
        Beep in case of an error (default: TRUE).

    Backup
        Before writing a BiB on disk, a backup of the file with the ending '.bak,i' is created, where is is a number so that existing backups are not deleted (default: TRUE).

    Icons on Desktop
        Icons of list and card windows are layed down on the corresponding bibliography window (default: FALSE). This option doesn't work with all window managers.

    Autom. Check
        A consistency check takes place if a new BiB is loaded (default: FALSE).

    Required Fields
        When saving an entry, a warning is displayed if it doesn't contain all fields required by
         BibTeX (default: FALSE).

    Ignore Case
        When searching for entries, uppercase/lowercase distinctions are ignored during comparisons (default: TRUE).

    Print As Bib
        When printing a file, a LaTeX file containing cite commands is created, otherwise the format of the LaTeX file is fixed (default: TRUE). The default style file is alpha. This default can be changed in the [StyleFile] part of the configuration file.

    Display Error Window
        An error window is displayed if a syntax error occurs (default: FALSE).

Window:

    Cascade
        The windows belonging to the same BiB (bibliography window, macro window, card windows) are grouped together. This doesn't work with all window managers.
Help:
Help texts are offered to the following topics:
    Survey
    Main Window
    Bibliography Window
    List Window
    Card Window
    Macro and Error Window
    Program Info

Bibliography Window
The menu bar of the bibliography window contains functions for manipulating the corresponding BiB:

    New:
        Create a new entry. The type of the entry must be chosen from a pulldown menu. An entry of a type different from the standard BibTeX types can be made with the item 'OwnType' of this menu. The type can be entered in the field 'Owntype' of the card window.

    Search:
        Search for all entries that fullfill certain conditions. A window is displayed in which for every field a regular expression can be entered. The result of the search (the entries that match all regular expressions) is shown in the list window.
        If a regular expression is entered in the field Allfields, the entries matching the expression in any field are displayed.
        A search for user defined fields can be made by entering a field name (no regular expression allowed, case not ignored) and a regular expression.

    List:
        All entries of the BiB are shown in the list window. The card window is displayed after clicking the corresponding entry.

    Macros:
        The macro window for editing STRING and PREAMBLE macros is displayed.

    Print:
        A LaTeX file with the entries of the list is created

    Save:
        Save the BiB on disk. The BiB remains loaded.

    Close:
        Close the BiB.

List Window
The list window is displayed after clicking the menu item list of the bibliography window, as result of a search or as result of a consistency check. The menu bar of the list window offers the following commands:

    Save:
        The entries of the list are saved as a new BiB.

    Sort:
        The entries of the list are sorted. The way in which the list is sorted can be chosen from a menu.

    Copy:
        The entries of the list can be inserted into another BiB.

    Print:
        A LaTeX file with the entries of the list is created.

    Close:
        The list window is closed.

Card Window
The card window is used to create new entries or to edit existing entries.
The field with the input focus has no border or (in the colour version) a red border. It can be moved using the <tab> and <esc> keys or by clicking the right button of the mouse in a field.
You can change this behaviour in the resource file or in the file .bibviewrc.
The contents of the fields are entered without the surrounding brackets. If you want to enter a macro, '@' or '#', you have to use a preceding '@'.
You can change this behaviour in the resource file or in the file .bibviewrc.
The menu bar of the card window offers the following commands:

    Duplicate:
        A new card window is opened in which the field contents (except mainkey) are taken from the actual card window. The actual card window must have been saved, otherwise the new card window is empty.

    User Data:
        The card window is extended with the fields defined by the user.

    Annote:
        The annote field of an entry can be edited in a window.

    Delete:
        The entry is deleted from the BiB.

    Save:
        The entry is saved in the BiB.

    Copy:
        The entry is copied into another BiB.

    Crossref:
        Open the card that contains the entry pointed to by the crossref field.

    Close:
        Close the card window.

Macro Window
The menu bar of the macro window offers the following commands:

    Save:
        Save the macros and preambles of the macro window.

    Close:
        Close the macro window.

Error Window
The menu bar of the error window offers the following commands:

    Save:
        Save the content of the error window.

    Close:
        Close the error window.

Configuration File
With the configuration file it is possible to customize bibview. The standard configuration file is the file .bibviewrc in the home directory of the user. The configuration file can contain the following parts:
[Options]: Lines of the form
<option name> : <bool>
can be used to set the default of the options.
<option name> can be BeepOnError, IconsOnDesk, MakeBackups, AutoCheckBib, RequiredFields, IgnoreCase, PrintAsBib, Focus or DisplayErrWin.
<bool> can be true or false.
[Types]: This section of the configuration file is used to define new types, change existing types or add fields to all types.
Type definitions start with lines of the form
t : <type name>
(define new type <type name> or add fields to the existing type <type name>)
tc : <type name>
(define new type <type name> or add fields to the existing type <type name>, clearing already defined fields)
t : all
(add the following fields to all defined types).
A type definition is followed by a number of field definitions of the form
f : <field name>
(add <field name> to the newly defined type or to all types (if `all' is specified))
rf : <field name>
(add <field name> as required field to the newly defined type or to all types (if `all' is specified)).
[UserFields]: This section is used to define user defined fields for certain types or for all types. It contains lines of the form
<type name> : <field name>
or
all : <field name>
[SortFields]: This section is used to define the fields by which a list can be sorted. A sort order can be specified. The section contains lines of the form
<field name>
or
<field name> : <sort order>
If $clear$ is used as <field name>, all already defined sort fields are discarded.
<sort order> can be n for names or d for dates. If no sort order is specified, lexicographic order is used.
[SearchFields]: This section is used to define the fields which are displayed in the search window. The section contains lines of the form
<field name>
If $clear$ is used as <field name>, all already defined search fields are discarded.
[ListFields]: This section is used to define the fields which are displayed in the list window and the layout of the list window. The section contains lines of the form
<field name> : <field width>
<field name> can be mainkey, cardtype or the field names defined by BibTeX or in previous [Types] sections.
<field width> is the number of characters that is used to display the field.
[Predefines]: This section is used to define data that can be used in the search window. It contains lines of the form
<field name> : <data>
<field name> can be allfields, mainkey, cardtype or a field defined by BibTeX or in previous [Types] sections.
[LatexHeader] and [LatexFooter]: In these sections header and footer of the LaTeX file produced by the Print command can be defined.
[BibDir]: This section contains the absolute pathname of the directory where the BibTeX files are.
[StyleFile]: This section contains the style file that is used in the LaTeX file produced by the Print command.
[AnnoteField]: This section contains the name of the field with annotations.
[SortedBy]: This section contains the name of the field by which a list is sorted by default.
[Indent]: This section contains information concerning the layout of the BibTeX file produced by bibview.
It contains lines of the form
<parameter> : <number>
<parameter> can be FldIndent (number of characters by which the field names are indented), ContIndent (number of characters by which the first line of the field content is indented), NewlineIndent (number of characters by which the following lines of the field content are indented) and MaxLinelen (maximum length of a line when printing files as LaTeX files with cite commands).
The Options part is not evaluated if a configuration file is loaded by 'Load Configuration'. Options can be changed using the 'Options' menu.

Resource File
The resources (width and height of windows, foreground, colours, texts,...) can be customized with a file BibView in the home directory. A sample file is included.

OPTIONS
standard options:
The standard options are -display, -geometry, -iconic and others.
-file <bib file>:
The BibTeX database <bib file> is loaded at the start of bibview.
-rcfile <configuration file>:
Instead of .bibviewrc in the home directory the file <configuration file> is used.
-bibdir <directory>:
A search for BibTeX files starts in <directory>.

LIMITATIONS
Because of a bug in the Athena List Widget there are problems with files with more than ca. 1000 entries. The consistency check is not sophisticated enough. Entries are sorted only by BibTeX key.
Ideas for more features are welcome.

COPYRIGHT
Copyright 1992 Technische Universitaet Muenchen

AUTHORS
Holger Martin, Peter Urban and Armin Liebl.
Send bug reports and ideas for enhancement to
liebla@informatik.tu-muenchen.de